PATCH
/v1/inventory_requests/{id}
curl \
--request PATCH 'https://api.pattern.com/hub/v1/inventory_requests/{id}' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{
"warehouse_id": 42,
"notes": "string",
"estimated_ship_date": "2026-05-04",
"shipment_method": "CUSTOMER",
"exp_date": "2026-05-04",
"lot_number": "string"
}'
Request examples
{
"warehouse_id": 42,
"notes": "string",
"estimated_ship_date": "2026-05-04",
"shipment_method": "CUSTOMER",
"exp_date": "2026-05-04",
"lot_number": "string"
}